<?php

function odwroc_r($lancuch) {
  if (strlen($lancuch)>0) {
    odwroc_r(substr($lancuch, 1));
  }
  echo substr($lancuch, 0, 1);
  return;
}

function odwroc_i($lancuch) {
  for ($i=strlen($lancuch); $i>=0; --$i) {
    echo substr($lancuch, $i, 1);
  }
  return;
}

odwroc_r('Cześć');

odwroc_i('Cześć');

?>